Bug 143203

Summary: Dirty exit from misc/mc (midnight commander) from not root shell
Product: Ports & Packages Reporter: val <dummy>
Component: Individual Port(s)Assignee: Max Khon <fjoe>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description val 2010-01-25 07:00:11 UTC
After exit from mc (ordinary (not root) user) mc crashes with following message:

read (subshell_pty ...): Bad address (14)

Fix: 

Problem doesn't occur, if before exitting run subshell (Ctrl+O)
How-To-Repeat: 1. under unprivileged user run mc
2. immediately try exit (press F10)
Comment 1 Mark Linimon 2010-01-25 08:02:56 UTC
Is this a problem with the port, or with the base system?
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2010-02-01 04:30:22 UTC
Responsible Changed
From-To: freebsd-bugs->fjoe

Take a guess that this applies to misc/mc and make it a ports PR assigned 
to the misc/mc maintainer.
Comment 3 val 2010-02-02 08:02:09 UTC
Also problem does not occur on version mc-4.7.0pre4
Comment 4 dfilter service freebsd_committer 2010-02-06 21:30:14 UTC
fjoe        2010-02-06 21:29:55 UTC

  FreeBSD ports repository

  Modified files:
    misc/mc              Makefile distinfo pkg-plist 
  Added files:
    misc/mc/files        patch-src-subshell.c 
  Log:
  - Update to 4.7.0.2
  - Fix crash on exit
  
  PR:             143203
  
  Revision  Changes    Path
  1.124     +1 -1      ports/misc/mc/Makefile
  1.34      +3 -3      ports/misc/mc/distinfo
  1.7       +11 -0     ports/misc/mc/files/patch-src-subshell.c (new)
  1.41      +2 -2      ports/misc/mc/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Max Khon freebsd_committer 2010-02-06 21:30:24 UTC
State Changed
From-To: open->closed

Fixed along with the update to 4.7.0.2